
  (function flexible(window, document) {
    function resetFontSize() {
      let clientWidth = document.documentElement.clientWidth;
      if (clientWidth < 1200) {
        clientWidth = 1200;
      }
      const size = (clientWidth / 1920) * 37.5;
      document.documentElement.style.fontSize = size + 'px';
    }

    // 在 DOMContentLoaded 事件触发时设置根元素字体大小
    window.addEventListener('DOMContentLoaded', resetFontSize);
    // 在 pageshow 和 resize 事件触发时重新设置根元素字体大小
    window.addEventListener('pageshow', resetFontSize);
    window.addEventListener('resize', resetFontSize);
  })(window, document);
